using FalcoEngine;

public class BridgeScript : MonoBehaviour
{

    public float scaleSpeed;
    public bool canResize;
    public GameObject bridge;
    private Rigidbody bridgeRb;
    private BoxCollider myCollider;
    private BoxCollider bridgeCollider;
    private bool isUsed = false;
    public Player playerScript;
    private float time;
    public float timer;
    private bool startTimer;

    void Start()
    {
        bridgeRb = bridge.GetComponent<Rigidbody>();
        myCollider = GetComponent<BoxCollider>();
        bridgeCollider = bridge.GetComponent<BoxCollider>();
        transform.rotation = Quaternion.Euler(270f, transform.rotation.y, transform.rotation.z);
    }

    void Update()
    {
        //if (bridge.transform.rotation.z > 270)
        //{
        //    bridgeRb.SetFreezeRotation(false, false, true);
        //}

        if (Input.GetMouseButton(0))
        {
            if (canResize)
            {
                transform.localScale += Vector3.forward * scaleSpeed * Time.deltaTime;
            }
        }

        if (Input.GetMouseButtonUp(0))
        {
            if (!isUsed)
            {
                startTimer = true;
                bridgeCollider.size = myCollider.size;
                bridgeRb.AddForce(Vector3.left * 250);
                bridgeRb.isKinematic = false;
                canResize = false;
            }
            isUsed = true;
        }
    }

    void FixedUpdate()
    {
        if (startTimer)
        {
            time++;
            if(time >= timer)
            {
                playerScript.canMove = true;
                startTimer = false;
                time = 0;
            }
        }
    }
}
